﻿using ModelTools.Attributes;
using ModelTools.Enums;
using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
	/// <summary>
	/// Класс, описывающий возможные действия для роли
	/// </summary>
	[DataContract]
    [EntityDescription("Access", "Доступные действия для ролей")]
    [EntityDependency("Role", "RoleId", "Доступные дейсвтиия создаются под конкретную роль")]
    public class Access : BaseEntity
    {
        [Required]
        [DataMember]
        [MapConfiguration("RoleId")]
        public Guid RoleId { get; set; }

        [Required]
        [DataMember]
        [MapConfiguration("Operation")]
        public AccessOperation AccessOperation { get; set; }

        [Required]
        [DataMember]
        [MapConfiguration("AccessType")]
        public AccessType AccessType { get; set; }

        //-------------------------------------------------------------------------

        public virtual Role Role { get; set; }

        //-------------------------------------------------------------------------
    }
}