﻿using ModelTools.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
	/// <summary>
	/// Класс, описывающий пользователя системы
	/// </summary>
	[DataContract]
    [EntityDescription("User", "Пользователи системы")]
    public class User : BaseEntity
    {
        [DataMember]
        [MapConfiguration("Login")]
        public string UserName { get; set; }

        [DataMember]
        [MapConfiguration("Password")]
        public string PasswordHash { get; set; }

        [DataMember]
        [MapConfiguration("StudentId")]
        public Guid? StudentId { get; set; }

        [DataMember]
        [MapConfiguration("LecturerId")]
        public Guid? LecturerId { get; set; }

        [DataMember]
        [MapConfiguration("EmployeeId")]
        public Guid? EmployeeId { get; set; }

        [DataMember]
        [MapConfiguration("Avatar")]
        public byte[] Avatar { get; set; }

        [DataMember]
        [MapConfiguration("DateLastVisit")]
        public DateTime? DateLastVisit { get; set; }

        [DataMember]
        [MapConfiguration("IsBanned")]
        public bool IsBanned { get; set; }

        [DataMember]
        [MapConfiguration("DateBanned")]
        public DateTime? DateBanned { get; set; }

        [DataMember]
        [MapConfiguration("CountAttempt")]
        public int CountAttempt { get; set; }

        //-------------------------------------------------------------------------

        //-------------------------------------------------------------------------

        [ForeignKey("UserId")]
        public virtual List<UserRole> UserRoles { get; set; }
    }
}