﻿using ModelTools.BindingModels;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение пользователя
	/// </summary>
	public class UserGetBindingModel : GetBindingModel
	{
		public bool? IsBanned { get; set; }

		public string Login { get; set; }

		public string Password { get; set; }

		public List<Guid> LecturerIds { get; set; }
	}

	/// <summary>
	/// Сохранение пользователя
	/// </summary>
	public class UserSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		public string Login { get; set; }

		[Required(ErrorMessage = "required")]
		public string Password { get; set; }

		public Guid? StudentId { get; set; }

		public Guid? LecturerId { get; set; }

		public Guid? EmployeeId { get; set; }

		public byte[] Avatar { get; set; }

		public DateTime? DateLastVisit { get; set; }

		public bool IsBanned { get; set; }

		public DateTime? DateBanned { get; set; }

		public int CountAttempt { get; set; }
	}
}