﻿using ModelTools.BusinessLogics;
using ModelTools.Enums;
using ModelTools.Models;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.Interfaces;
using SecurityBusinessLogic.ViewModels;

namespace SecurityBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с ролями
	/// </summary>
	public class RoleBusinessLogic : BusinessLogicCore<RoleGetBindingModel, RoleSetBindingModel, RoleListViewModel, RoleViewModel>
	{
		public RoleBusinessLogic(IRoleService service) : base(service, "Роли", AccessOperation.Роли) { }

		protected override RoleViewModel ConvertToE(OperationResultModel model) => model.Result as RoleViewModel;

		protected override RoleListViewModel ConvertToL(OperationResultModel model) => model.Result as RoleListViewModel;
	}
}