﻿using ModelTools.BusinessLogics;
using ModelTools.Interfaces;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.Interfaces;
using SecurityImplementation.Implementations;

namespace SecurityImplementation
{
	public class SecurityLoaderExtensions : IImplementationExtension
	{
		public void RegisterServices()
		{
			UnityContainerConfigurator.PublishService<IAccessService, AccessService>();
			UnityContainerConfigurator.PublishService<IEnviromentSettingService, EnviromentSettingService>();
			UnityContainerConfigurator.PublishService<IRoleService, RoleService>();
			UnityContainerConfigurator.PublishService<IUserService, UserService>();

			UnityContainerConfigurator.PublishService<AccessBusinessLogic>();
			UnityContainerConfigurator.PublishService<EnviromentSettingBusinessLogic>();
			UnityContainerConfigurator.PublishService<RoleBusinessLogic>();
			UnityContainerConfigurator.PublishService<UserBusinessLogic>();
		}
	}
}